Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.admin
Interface AdminProvider

All Known Implementing Classes:
  ClearspaceAdminProvider, CrowdAdminProvider, DefaultAdminProvider

    public interface AdminProvider

An AdminProvider handles storage of information about admin accounts, and requests to set the list of admin users.

Author:
  Daniel Henninger

Method Summary
`List<org.xmpp.packet.JID>` | `getAdmins()` Returns a list of JIDs of accounts with administrative privileges.
`boolean` | `isReadOnly()` Indicates whether the admin list is read-only or not.
`void` | `setAdmins(List<org.xmpp.packet.JID> admins)` Sets the list of admin accounts, by JID.

Method Detail

### getAdmins

    List<org.xmpp.packet.JID> getAdmins()

  Returns a list of JIDs of accounts with administrative privileges.

  Returns:
    The list of admin users.

### setAdmins

    void setAdmins(List<org.xmpp.packet.JID> admins)

  Sets the list of admin accounts, by JID.

  Parameters:
    `admins` - List of JIDs of accounts to grant admin access to.

### isReadOnly

    boolean isReadOnly()

  Indicates whether the admin list is read-only or not. In other words, whether an admin can change who is an admin from the Openfire admin interface.

  Returns:
    True or false if the admin list can be edited.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.